gnutls_certificate_send_x509_rdn_sequence(3)

NAME
gnutls_certificate_send_x509_rdn_sequence

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_send_x509_rdn_sequence(gnutls_session_t session, int status);

ARGUMENTS

gnutls_session_t session
    is a pointer to a gnutls_session_t structure.

int status
    is 0 or 1

DESCRIPTION
If status is non zero, this function will order gnutls not to send the rdnSequence in the certificate request message. That is the server will not advertize it's trusted CAs to the peer. If status is zero then the default behaviour will take effect, which is to advertize the server's trusted CAs. This function has no effect in clients, and in authentication methods other than certificate with X.509 certificates.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.